
From: Ingo Molnar <mingo@elte.hu>

Boticed by Chuck Ebbert: the .ldt entry of the TSS was set up incorrectly. 
It never mattered since this was a leftover from old times, so remove it.

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/processor.h |    1 -
 1 files changed, 1 deletion(-)

diff -puN include/asm-i386/processor.h~i386-fix-incorrect-tss-entry-for-ldt include/asm-i386/processor.h
--- devel/include/asm-i386/processor.h~i386-fix-incorrect-tss-entry-for-ldt	2005-08-01 17:14:57.000000000 -0700
+++ devel-akpm/include/asm-i386/processor.h	2005-08-01 17:14:57.000000000 -0700
@@ -475,7 +475,6 @@ struct thread_struct {
 	.esp0		= sizeof(init_stack) + (long)&init_stack,	\
 	.ss0		= __KERNEL_DS,					\
 	.ss1		= __KERNEL_CS,					\
-	.ldt		= GDT_ENTRY_LDT,				\
 	.io_bitmap_base	= INVALID_IO_BITMAP_OFFSET,			\
 	.io_bitmap	= { [ 0 ... IO_BITMAP_LONGS] = ~0 },		\
 }
_
